/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.linkis.cli.application.interactor.job.builder;

import org.apache.linkis.cli.application.constants.CliKeys;
import org.apache.linkis.cli.application.interactor.job.common.KeyParser;

import java.util.HashMap;
import java.util.Map;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class KeyParserTest {

  @Test
  @DisplayName("removePrefixForKeysInMapTest")
  public void removePrefixForKeysInMapTest() {

    Map<String, Object> map = new HashMap<>();
    map.put(CliKeys.JOB_PARAM_CONF, new Object());
    map.put("name", new Object());

    Map<String, Object> stringObjectMap = KeyParser.removePrefixForKeysInMap(map);
    Assertions.assertTrue(1 == stringObjectMap.size());
  }
}
